Subject: Promoting Darwin Day in Fort Worth

From: [email-masked]
Date: Wed, 1 Jun 2005 11:56:12 EDT

Dear friends:
 
I'm the editor of the Journal of Religious Humanism (publication of the UU  
Humanists) and met your representative (Paula Gable ??) while we were both  
running booths at the AHA conference in Albuquerque last month.  I'd be  
interested in having Darwin Day materials available at the HUUmanists booth in  Forth 
Worth at the UU General Assembly at the end of this month, or if you are  
doing a booth yourselves there, at least cooperating to promote one another's  
displays.
 
Looking forward to hearing from you.
 
Roger Brewin, editor JRH, booth manager,  HUUmanists

---

From: [email-masked]
Date: Tue, 7 Jun 2005 00:18:07 EDT

Dear David: 
 
Thanks so much for the reply.  You are correct about Paula's last name  which 
I finally tracked down today along with her personal email.  In terms  of 
getting materials to me, I leave for Fort Worth a week from Thursday (the  16th) 
and have a SMALL amount of room in my suitcase.  Materials could be  shipped 
to Fort Worth a little later, but are subject to a prohibitive  handling charge 
at the convention hall.  
 
Some back articles from the Journal are on our web page on the AHA site  
(Americanhumanist.org -- look for HUUmanists under "Humanist family").  But  if 
you provide me with an address, I will mail you a couple of issues.
 
Roger Brewin
10559 S Wood St
Chicago, IL 60643